use std::thread;

fn main() {
    let list = vec![1, 2, 3];
    println!("Przed zdefiniowniem domknięcia: {:?}", list);

    thread::spawn(move || println!("Z wątku: {:?}", list))
        .join()
        .unwrap();
}
